Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.domain.validation
Class ValidationAdvisor

    java.lang.Object
      org.springframework.aop.support.StaticMethodMatcher
          org.springframework.aop.support.StaticMethodMatcherPointcut
              org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor
                  org.acegisecurity.domain.validation.ValidationAdvisor

All Implemented Interfaces:
  Serializable, Advisor, MethodMatcher, Pointcut, PointcutAdvisor, InitializingBean, Ordered

    public class ValidationAdvisor

extends StaticMethodMatcherPointcutAdvisor
implements InitializingBean

Advisor for the `ValidationInterceptor`.

Intended to be used with Spring's `DefaultAdvisorAutoProxyCreator`.

Registers `ValidationInterceptor` for every `Method` against a class that directly or through its superclasses implements `supportsClass` and has a signature match those defined by `methods`.

Version:
  $Id: ValidationAdvisor.java,v 1.4 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.aop.Pointcut
`TRUE`

Fields inherited from interface org.springframework.aop.MethodMatcher
`TRUE`

Constructor Summary
`ValidationAdvisor(ValidationInterceptor advice)`

Method Summary
`void` | `afterPropertiesSet()`
`String[]` | `getMethods()`
`Class` | `getSupportsClass()`
`boolean` | `matches(Method m, Class targetClass)`
`void` | `setMethods(String[] methods)`
`void` | `setSupportsClass(Class<? extends Object> clazz)`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor
`getAdvice, getOrder, getPointcut, isPerInstance, setAdvice, setOrder`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcut
`getClassFilter, getMethodMatcher, setClassFilter`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcher
`isRuntime, matches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationAdvisor

    public ValidationAdvisor(ValidationInterceptor advice)

Method Detail

### setMethods

    public void setMethods(String[] methods)

### getMethods

    public String[] getMethods()

### setSupportsClass

    public void setSupportsClass(Class<? extends Object> clazz)

### getSupportsClass

    public Class getSupportsClass()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### matches

    public boolean matches(Method m,
                           Class targetClass)

  Specified by:
    `matches` in interface `MethodMatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.